summaryrefslogtreecommitdiff
path: root/app-mobilephone/sobexsrv
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-06 12:44:55 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-06 12:44:55 +0000
commit4914d2672106c5a027b0ddaea8d0169ba990bc25 (patch)
tree9a577d79b87d5bb3771b1f6d1dc17b5813dcbb14 /app-mobilephone/sobexsrv
parentd10446ca28534008bc08e38895a92e79d1b44a2c (diff)
downloadbaldeagleos-repo-4914d2672106c5a027b0ddaea8d0169ba990bc25.tar.gz
baldeagleos-repo-4914d2672106c5a027b0ddaea8d0169ba990bc25.tar.xz
baldeagleos-repo-4914d2672106c5a027b0ddaea8d0169ba990bc25.zip
Updating liguros repo
Diffstat (limited to 'app-mobilephone/sobexsrv')
-rw-r--r--app-mobilephone/sobexsrv/files/init.d_sobexsrv6
-rw-r--r--app-mobilephone/sobexsrv/sobexsrv-1.0.1-r3.ebuild72
2 files changed, 75 insertions, 3 deletions
diff --git a/app-mobilephone/sobexsrv/files/init.d_sobexsrv b/app-mobilephone/sobexsrv/files/init.d_sobexsrv
index e02530314ca8..fa27e19ef116 100644
--- a/app-mobilephone/sobexsrv/files/init.d_sobexsrv
+++ b/app-mobilephone/sobexsrv/files/init.d_sobexsrv
@@ -1,5 +1,5 @@
#!/sbin/openrc-run
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
depend() {
@@ -17,7 +17,7 @@ check_config() {
return 1
fi
- if [ ${CHROOT} = "yes" ] ; then
+ if [ "${CHROOT}" = "yes" ] ; then
if [ ! -u /usr/bin/sobexsrv ] ; then
eerror "The \$CHROOT option requires /usr/bin/sobexsrv to be suid root!"
return 1
@@ -47,7 +47,7 @@ start() {
OPTIONS="-I -r ${INBOX} ${OPTIONS} ${SOBEXSRV_OPT}"
- start-stop-daemon --chuid ${USER}:${GROUP} --start --quiet --exec /usr/bin/sobexsrv -- $OPTIONS
+ start-stop-daemon --user ${USER}:${GROUP} --start --quiet --exec /usr/bin/sobexsrv -- $OPTIONS
eend $?
}
diff --git a/app-mobilephone/sobexsrv/sobexsrv-1.0.1-r3.ebuild b/app-mobilephone/sobexsrv/sobexsrv-1.0.1-r3.ebuild
new file mode 100644
index 000000000000..c0d7fb9e74b1
--- /dev/null
+++ b/app-mobilephone/sobexsrv/sobexsrv-1.0.1-r3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+MY_P="${P/_pre/pre}"
+
+DESCRIPTION="Scripting/Secure OBEX Server (for BlueZ Linux)"
+SRC_URI="http://www.mulliner.org/bluetooth/${MY_P}.tar.gz
+ https://dev.gentoo.org/~joker/${P}-fix64.patch"
+HOMEPAGE="https://www.mulliner.org/bluetooth/sobexsrv.php"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="
+ >=dev-libs/openobex-1.7.2-r1
+ net-wireless/bluez
+"
+RDEPEND="${DEPEND}
+ acct-user/sobexsrv
+ acct-group/sobexsrv
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${DISTDIR}/${P}"-fix64.patch
+ "${FILESDIR}/${P}"-openobex16.patch
+)
+
+src_prepare() {
+ default
+
+ sed -e 's:/usr/man/man8:/usr/share/man/man8:' \
+ -e 's/install: all/install:/' \
+ -i Makefile || die
+
+ sed -e 's/^CFLAGS =/CFLAGS +=/' \
+ -e 's/^CC =/CC ?=/' \
+ -e 's/$(CC) $(CFLAGS)/$(CC) $(LDFLAGS) $(CFLAGS)/' \
+ -i src/Makefile || die
+}
+
+src_compile() {
+ tc-export CC
+ emake -C src
+}
+
+src_install() {
+ default
+ dodoc AUTHOR CONFIG SECURITY THANKS
+ rm "${D}/usr/bin/sobexsrv_handler" || die
+
+ newinitd "${FILESDIR}/init.d_sobexsrv" sobexsrv
+ newconfd "${FILESDIR}/conf.d_sobexsrv" sobexsrv
+}
+
+pkg_postinst() {
+ elog
+ elog "/usr/bin/sobexsrv is *NOT* installed set-uid root by"
+ elog "default. suid is required for the chroot option (-R)."
+ elog
+ elog "Execute the following commands to enable suid:"
+ elog
+ elog "chown root:sobexsrv /usr/bin/sobexsrv"
+ elog "chmod 4710 /usr/bin/sobexsrv"
+ elog
+}